
//priority: 999
events.listen('recipes', e => {
    var idRemove = [
        'quark:building/crafting/compressed/charcoal_block',
    ];
    idRemove.forEach(iR => {
        e.remove({
            id: iR
        });
    });

e.remove({ type: 'minecraft:smelting', input: '#forge:ores' });
e.remove({ type: 'minecraft:blasting', input: '#forge:ores' });

e.remove({ type: 'minecraft:smelting', input: '#forge:dusts' });
e.remove({ type: 'minecraft:blasting', input: '#forge:dusts' });

e.remove({ type: 'minecraft:smelting', input: '#forge:ores' });
e.remove({ type: 'minecraft:blasting', input: '#forge:ores' });

e.remove({ type: 'exnihilosequentia:hammer' });

e.remove({ mod: 'theoneprobe' });
e.remove({ mod: 'progressivebosses' });
e.remove({ mod: IA() });
e.remove({ mod: LS() });
e.remove({ mod: MBR() });

var outputRemovals = [
    "exnihilosequentia:silkworm",
    "exnihilosequentia:cooked_silkworm",
    /boss_tools:steel_(sword|shovel|(pick)?axe|hoe)/,
    /appliedenergistics2:(nether_quartz|certus_quartz)_(sword|shovel|(pick)?axe|hoe)/,
    DU("redstone_randomizer"),
    DU("dark_glass"),
    MU("dark_glass"),
    IF("dark_glass"),
    TC("copper_ingot"),
    BT("iron_stick"),
    CR("zinc_ingot"),
    CR("iron_sheet"),
    CRAD("zinc_sheet"),
    CRAD("copper_rod"),
    CRAD("gold_rod"),
    CRAD("brass_rod"),
    CC("monstrous_helm"),
    RTB("manual"),
    RTB("dimensionalshard"),
    RTB("smartwrench"),
    RTB("smartwrench_select"),
];

var idRemovals = [
    /emendatusenigmatica:ore_from_chunk_stonecutting/,
    /emendatusenigmatica:ore_from_chunk_crafting/,
    /emendatusenigmatica:dust_from_chunk\/*/,
    /emendatusenigmatica:dust_from_ore\/*/,
    /emendatusenigmatica:plate_from_ingot\/*/,
    /emendatusenigmatica:plate_from_gem\/*/,
    /emendatusenigmatica:alloy_dust\/*/,
    "emendatusenigmatica:enigmatic_fortunizer",
    /exnihilosequentia:ens_hammer*/,
    /exnihilosequentia:ens_crook*/,
    'minecraft:ens_ancient_debris',
    'boss_tools:desh_plate',
    'boss_tools:iron_plate',
    'boss_tools:rover',
    'boss_tools:wheel',
	CR("mixing/brass_ingot"),
	CR("mixing/crushed_brass"),
	CR("crushing/brass_block"),
	EE("alloy_dust/brass"),
	BT("iron_stick"),
    AE2("network/blocks/crystal_processing_quartz_growth_accelerator"),
	AE2("network/blocks/io_condenser"),
    RTB("machine_infuser"),
    RTB("infused_enderpearl"),
    RTB("infused_diamond"),
    "tombstone:book_of_recycling", "tombstone:book_of_repairing", "tombstone:voodoo_poppet", "tombstone:dust_of_vanishing",
    "tombstone:book_of_magic_impregnation", "tombstone:book_of_disenchantment", "tombstone:bone_needle", "tombstone:smoke_ball",
    "tombstone:impregnated_diamond", "tombstone:familiar_receptacle", "tombstone:fishing_rod_of_misadventure",
    "tombstone:strange_scroll", "tombstone:strange_tablet", "tombstone:ankh_of_pray", "tombstone:soul_receptacle",
    "cagedmobs:crystallized_experience", "cagedmobs:crystallized_experience_block", "cagedmobs:experience_upgrade",
    "cagedmobs:crafting/experience_bottle_from_experience_orb",
    Q("iron_rod"),
    /creategearaddon:sequenced_assembly\/precision_mechanism*/,
    "sophisticatedbackpacks:crafting_upgrade",
    "sophisticatedbackpacks:xp_pump_upgrade",
    MU("angel_block"),
    TC("smeltery/casting/obsidian/chest"),
    "uppers:upper",
    /ceramics:clay_(helmet|chestplate|leggings|boots)/,
    /emendatusenigmatica:rod_from_gem\/*/,
    /emendatusenigmatica:gear_from_gem\/*/,
    TA("awesome_archery"),
    CC("void_scatter_arrow"),
];

outputRemovals.forEach((removal) => {
    e.remove({ output: removal });
});

removeRecipeByInput(e, [
    "tombstone:voodoo_poppet", "tombstone:impregnated_diamond", "tombstone:strange_scroll",
    "exnihilosequentia:silkworm", "exnihilosequentia:cooked_silkworm",
    TA("tantalum_ore"),
])

idRemovals.forEach((removal) => {
    e.remove({ id: removal });
});

e.remove({ type: 'botanypots:crop' });
e.remove({ type: 'botanypots:soil' });

[
    "luminessence_block", "black_iron_block", "enhanced_redstone_ingot_block",
    "ender_ingot_block", "enhanced_ender_ingot_block",
    "flux_star_block", "ender_star_block", "frame", "luminessence", "black_iron_ingot", 
    "enhanced_redstone_ingot", "ender_ingot", "enhanced_ender_ingot", 
    "black_iron_nugget", "enhanced_redstone_nugget", "ender_nugget", 
    "enhanced_ender_nugget", "black_iron_slate", "basic_catalyst", 
    "advanced_catalyst", "elite_catalyst", "ultimate_catalyst", "redstone_catalyst", "enhanced_redstone_catalyst", 
    "ender_catalyst", "enhanced_ender_catalyst", "crystaltine_catalyst", "the_ultimate_catalyst",
    "basic_component", "advanced_component", "elite_component", "ultimate_component", "redstone_component",
    "enhanced_redstone_component", "ender_component", "enhanced_ender_component", "crystaltine_component",
    "the_ultimate_component", "flux_star", "ender_star", "handheld_table", "guide_book",
    "basic_table", "basic_auto_table", "compressor"
].forEach(item => {
    e.remove({ id: EC(item) })
})

});

